Subject: Re: [PATCH net] net: sctp: wake up all assocs if sndbuf policy is per socket

From: Daniel Borkmann <[email-masked]>
Date: Tue, 08 Apr 2014 18:23:50 +0200

On 04/08/2014 05:26 PM, Vlad Yasevich wrote:
...
> This is yet another list traversal with skip_head.  I am going to
> resurrect that code for net-next.

Sounds good! I actually had a look longer time ago, to squeeze
all that logic into a list macro, but so far I didn't find
something clean without appending an if-clause to it that tests
for head element - and that I don't like as it can happen that
unintentionally users could run into a dangling else. In the
end it all looked more complicated than the current code was,
so I wasn't really satisfied and therefore didn't post a
patch. ;)

Cheers,

Daniel